
CoCoA-5 - Support #1344

Clean out OBSOLESCENT

17 Oct 2019 17:43 - John Abbott

Status: Rejected Start date: 17 Oct 2019

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Cleaning Estimated time: 0.00 hour

Target version: CoCoA-5.3.0 Spent time: 0.60 hour

Description

Some obsolescent functions have been so for a long time.

Clean out some of the oldest ones (for 5.3.0).

Related issues:

Related to CoCoA-5 - Support #1387: John's visit Feb 2020 Closed 07 Jan 2020

History

#1 - 09 Jan 2020 11:31 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 20

I have just commented out all fns in obsolescent.cpkg5 which have been there at least 4 years.

All CoCoA-5 tests pass.

Do we need to check the C5 manual too?

#2 - 09 Jan 2020 11:31 - John Abbott

- Related to Support #1387: John's visit Feb 2020 added

#3 - 18 Jan 2020 20:18 - John Abbott

Check the manual.  Perhaps genuinely remove the fns which are only commented out?

#4 - 14 Feb 2020 09:08 - John Abbott

- Status changed from In Progress to Rejected

- Assignee set to Anna Maria Bigatti

- % Done changed from 20 to 100

Anna assumes henceforth TOTAL RESPONSIBILITY for obsolescent.cpkg5.

She wants to extend it until eternity.  God know what she wants to do with the obsolescent things in the manual.  That's her responsibility too!

We're a tiny project; it's hard enough trying to go forward without having to carry all this extra baggage as well!
